#ifndef _UNETSPI_H
#define _UNETSPI_H

#pragma warning(disable: 4001)
#pragma warning(disable: 4057)
#pragma warning(disable: 4100)
#pragma warning(disable: 4115)
#pragma warning(disable: 4201)
#pragma warning(disable: 4209)
#pragma warning(disable: 4214)
#pragma warning(disable: 4514)
#pragma warning(disable: 4699)
#include <ws2spi.h>
#include <windows.h>
#include <winioctl.h>
#include <stdio.h>
#include <wtypes.h> 
#include <assert.h>
#include <winnt.h>
#include <stdio.h>
#include <time.h>
#include <sys/timeb.h>
#include <unetuser.h>
#include <libunet.h>  
 
extern long               thread_count ;
extern HMODULE            g_hinst ;

extern CRITICAL_SECTION   gInitCriticalSection;
extern WSPUPCALLTABLE     gupCallTable;
extern INT                gCatalog;


// {48F3B4C0-4F31-11d0-8B7D-00A024D164E4}
static GUID UNetSPIGuid = 
{ 0x48f3b4c0, 0x4f31, 0x11d0, { 0x8b, 0x7d, 0x0, 0xa0, 0x24, 0xd1, 0x64,
0xe4 } };

extern HANDLE                         hDriver;
extern UNET_INFO_RESPONSE             hDriverinfo;
extern int                            message_size, num_messages;
extern UNET_ACTIVATE_CHANNEL_REQUEST  activate;
extern UNET_CHANNEL_ID                chan;
extern UNET_TX_BUFFER_DESCRIPTOR      txbd;
extern char*                          thebuf;

typedef struct unet_endpt_user* EndpointType;

class  SocketArray
{
public:
	SocketArray () {
		endpoints = new EndpointType[65536];
		if ( endpoints== NULL)
			exit (-1);

		for (int i=0;i<65536;i++){
			endpoints[i] = NULL;
		}
	}
	EndpointType           *endpoints;
};

extern SocketArray  socketarray;

struct  unet_fe_addr {
	char addr[6];
};

struct sockaddr_unet_fe
{
	unsigned short  family;
	unsigned short  port;
	unet_fe_addr    addr;
	char            zero[6];

};

                            
#endif   /*   UNETSPI_H   */

