@rem ***********************************************************

@rem  checking if win32 sdk is installed
@if "%MSTOOLS%"=="" goto mstools

@rem  checking if build environment sdk is installed
@if "%DDKBUILDENV%"=="" goto buildenv

@if "%1"=="copy" goto copy

@if not exist UDI\i386 mkdir UDI\i386
@if not exist UDI\i386\free mkdir UDI\i386\free
@if not exist UDI\i386\checked mkdir UDI\i386\checked

@if not exist UTlb\i386 mkdir UTlb\i386
@if not exist UTlb\i386\free mkdir UTlb\i386\free
@if not exist UTlb\i386\checked mkdir UTlb\i386\checked

@if not exist devTulip\i386 mkdir devTulip\i386
@if not exist devTulip\i386\free mkdir devTulip\i386\free
@if not exist devTulip\i386\checked mkdir devTulip\i386\checked

@if not exist libunet\i386 mkdir libunet\i386
@if not exist libunet\i386\free mkdir libunet\i386\free
@if not exist libunet\i386\checked mkdir libunet\i386\checked

@if not exist devZeitnet\i386 mkdir devZeitnet\i386
@if not exist devZeitnet\i386\free mkdir devZeitnet\i386\free
@if not exist devZeitnet\i386\checked mkdir devZeitnet\i386\checked

@if not exist test\loopback\i386 mkdir test\loopback\i386
@if not exist test\loopback\i386\free mkdir test\loopback\i386\free
@if not exist test\loopback\i386\checked mkdir test\loopback\i386\checked

@if not exist test\feaddr\i386 mkdir test\feaddr\i386
@if not exist test\feaddr\i386\free mkdir test\feaddr\i386\free
@if not exist test\feaddr\i386\checked mkdir test\feaddr\i386\checked

@if not exist test\servertest\i386 mkdir test\servertest\i386
@if not exist test\servertest\i386\free mkdir test\servertest\i386\free
@if not exist test\servertest\i386\checked mkdir test\servertest\i386\checked


@build 

:copy

@set DEST=%SystemRoot%\system32\drivers

@Echo copying the checked drivers to %DEST%
@copy  utlb\i386\%DDKBUILDENV%\utlb.sys             %DEST%
@copy  udi\i386\%DDKBUILDENV%\unet.sys              %DEST%
@copy  devzeitnet\i386\%DDKBUILDENV%\zeitnet.sys    %DEST%
@copy devtulip\i386\%DDKBUILDENV%\tulip.sys   %DEST%
@if "%DDKBUILDENV%"=="free" goto end

@set DEST=%symbols%
@if "%DEST%"=="" goto end
@copy  utlb\i386\%DDKBUILDENV%\utlb.sys             %DEST%
@copy  udi\i386\%DDKBUILDENV%\unet.sys              %DEST%
@copy  devzeitnet\i386\%DDKBUILDENV%\zeitnet.sys    %DEST%
@copy devtulip\i386\%DDKBUILDENV%\tulip.sys   %DEST%
@goto end

:mstools
@echo WIN32 SDK is missing
@goto end

:buildenv
@echo NT ddk need to be install, and build env need to be set
@goto end

:end
