#include <windows.h>
#include <stdlib.h>
#include <stdio.h>

char *
Strerror(int errnum)
{
	char *MsgBuf;

	(void) FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM |
			     FORMAT_MESSAGE_ALLOCATE_BUFFER,
			     NULL,	// message format
			     errnum,
			     0,		// language
			     &MsgBuf,
			     0,		// buffer size, ignored for ALLOC_BUF
			     NULL	// args for msg format
			     );
	return MsgBuf;
}

void
Perror(char *s)
{
	char *error;
	int errno;

	errno = GetLastError();
	error = Strerror(errno);
	printf("%s: (%d) %s\n", s, errno, error);
	LocalFree(error);
}
