/*
 * Filename:    register.cpp
 *
 * prints all the registered protocols
 *
 * Author: xwh@cs.cornell.edu
 */
#define UNICODE
#include <ws2spi.h>
#include <stdio.h>
#include <string.h>
#include <tchar.h>
#include <stdlib.h>
#include <malloc.h>
#include <iostream.h>
BOOL PrintProvider( PINT pError)
{
	int Protocols[2];
	LPWSAPROTOCOL_INFO ProtocolBuf;
	DWORD BufLength = 20 * sizeof(WSAPROTOCOL_INFO);
	int numProtocols,i;
	BOOL found = FALSE;

	*pError = 0;
	ProtocolBuf = (LPWSAPROTOCOL_INFO)malloc(BufLength);

	if (ProtocolBuf == NULL) {
		MessageBox(NULL, L"Cannot allocate memory", L"Error", MB_OK);
		*pError = WSAENOBUFS;
		return (FALSE);
	}

	Protocols[0] = IPPROTO_UDP;
	Protocols[1] = 0;

	numProtocols = WSCEnumProtocols(Protocols,
			(LPWSAPROTOCOL_INFO) ProtocolBuf, &BufLength, pError);
	cout << "numProtocols = " << numProtocols << endl;
	if (numProtocols == SOCKET_ERROR) {
		free(ProtocolBuf);
		cout << "error occurs"<< endl;
		return  FALSE;
	}
	for (i = 0; (!found && i < numProtocols); i++) {
		cout << " ---" << endl;
		char tempbuf[1024]; tempbuf[0]='\0';
		WideCharToMultiByte(CP_ACP, 0,ProtocolBuf[i].szProtocol,
				wcslen ( ProtocolBuf[i].szProtocol),
				tempbuf, 1024, NULL, NULL);

		tempbuf[ wcslen ( ProtocolBuf[i].szProtocol)  ]= '\0';
		cout << " Id = " << ProtocolBuf[i].dwCatalogEntryId;
		cout << " version" <<  ProtocolBuf[i]. iVersion << endl;
		cout << "  protocol " << tempbuf << endl;
	}
	free(ProtocolBuf);
	return (found);
} 

int main()
{
	int error;
	PrintProvider( & error);
	return 0;
}
